CREATE OR REPLACE FUNCTION f_import_item_web_attf(
    IN itemcode integer,    -- 商品C
    IN rank integer,    -- ランク
    IN release integer, -- 公開日
    IN _comment varchar, -- コメント
    IN usr varchar,     -- 更新ユーザ

    OUT errcd integer,
    OUT errmsg character varying) AS
$BODY$
DECLARE

BEGIN
    IF itemcode IS NULL THEN
        errcd := -10;
        errmsg := '品目コードが指定されていません';
    END IF;

    IF rank < 0 OR rank > 5 THEN
        errcd := -10;
        errmsg := 'ランクが0-5で指定されていません';
        RETURN;
    END IF;

    INSERT INTO t_item_web_attr( itemcd, rankingrate, comment, updusrnm ) VALUES( itemcode, rank, _comment, usr );

    IF release = 1 THEN
        UPDATE t_item_web_attr SET releasedate = CURRENT_DATE WHERE itemcd = itemcode;
    END IF;

END;
$BODY$
  LANGUAGE 'plpgsql' VOLATILE;
